@font-face{
    font-family:'komorebi';
    src: url(MODI_komorebi-gothic_2018_0501/komorebi-gothic.ttf);
  }
@font-face{
    font-family:'maco';
    src: url(__MACOSX/FontopoNIHONGO.otf);
  }
body,
html,
body{
    margin: 0;
    padding: 0;
    background-color: #faeacc;
    color: #1f1103;
}
.video-section {
    height: 250vh;
    width: 100%;
}
span{
    font-size: 1.5rem;
    z-index: 100;
    position: relative;
    font-family: 'komorebi';
}
.main{
    width: 100%;
    height: 200vh;
    margin: 0;
    padding: 40px;
    box-sizing: border-box;
    margin: 15vh 0 15vh 0;
}
.frame-out{
    width: 100%;
    height: 100%;
    outline: solid 2px #5c5c5c;
    outline-offset: -35px;
    position: fixed;
    z-index: 100;
    background: rgba(0,0,0,0.001);
    box-sizing: border-box;
}
.frame-in{
    width: 100%;
    height: 100%;
    outline: dashed 1px #747474;
    outline-offset: -55px;
    position: fixed;
    z-index: 110;
    background: rgba(0,0,0,0.001);
    box-sizing: border-box;
}
.about,.contents,.movie{
    height: 50vh;
    position: sticky;
    top: 20vh;
    background-color: rgba(0,0,0,0.001);
    width: 90%;
    margin: 5%;
    z-index: 999;
    opacity: 0;
}
section{
    text-align: center;
}
h2,h3,h4{
    font-family: 'komorebi';
}
h2{
    font-size: 2rem;
    margin-bottom: 5vh;
}
h3{
    margin-left: 5vw;
}
h3.arch{
    margin: 0;
}
h4{
    margin-top: -4vh;
    margin-bottom: 5vh;
}
h2.title{
    border-bottom: #1f1103 solid 2px;
}
h2.name{
    margin-left: 30%;
}
p{
    font-size: 1.1rem;
    font-family: 'maco';
}
.ex{
    width: 60%;
    margin-left: 30%;
    margin-top: 10vh;
    text-align: left;
}
.sub{
    text-align: center;
}
.flex{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    list-style: none;
}
li{
    width: 30%;
}
.story{
    width: 100%;
    height: auto;
    margin: 10px;
    background: rgba(0,0,0,0.001);
}
a{
    text-decoration: none;
    color: #cca785;
}
a:hover{
    color: tomato;
}
.story:hover{
    transform: translateY(-10px);
    transition: 0.5s;
}
.display-movie{
    text-align: center;
    background: rgba(0,0,0,0.001);
    margin-top: 5vh;
}
.video{
    width: 50%;
}
footer{
    height: 50vh;
    background-color: #cca785;
    padding: 8%;
}
.grid{
    display: grid;
    grid-template-rows: 5vh 5vh 5vh 5vh;
	grid-template-columns: 150px 1fr;
}
p.footer{
    text-align:justify;
    text-align-last:justify;
    font-size: 1rem;
}
p.name{
    margin-left: 5%;
    font-size: 1rem;
}
p.ex-kyara{
    margin-top: 10%;
    margin-left: 0;
}
div.flex{
    display: flex;
    justify-content: end;
    margin-top: -10%;
}
.logo{
    width: 20%;
}
.deco{
    width: 20%;
}
.deco.left{
    margin-left: -5%;
}
.deco.right{
    margin-left: 85%;
    margin-top: -10%;
}
.deco.komugi{
    margin-left: 5%;
    margin-bottom: -7px;
}
/*---------------------------------------------------------------------------------------------------------------------------------------------------------*/
.wrapper {
    overflow: hidden;
  }
   
  .arc{
    padding-top: 10%;
    margin-bottom: 100vh;
    min-height: 400px;
    border-bottom-right-radius: 1000px 200px;
    border-bottom-left-radius: 1000px 200px;
    margin-left: -100px;
    margin-right: -100px;
    padding-left: 100px;
    padding-right: 100px;
    background: #cca785;
    text-align: center;
  }
img.icon{
    width: 70px;
}
img.storyimg{
    width: 700px;
}
.page1,.page2,.page3,.page4,.page5,.page6,.page7,.page8{
    margin-bottom: 80vh;
}
div.right{
    text-align: right;
    margin-right: 10%;
    margin-bottom: 50vh;
}
div.left{
    text-align: left;
    margin-left: 10%;
    margin-bottom: 50vh;
}
div.right.stop{
    position: sticky;
    top: 30vh;
}
div.left.stop{
    position: sticky;
    top: 30vh;
}
.return{
    width: 100%;
    text-align: center;
}
.finish{
    width: 200px;
    height: auto;
    position: relative;
    z-index: 800;
}
/*---------------------------------------------------------------------------------------------------------------------------------------------------------*/
div.flex-kyara{
    display: flex;
    justify-content: space-around;
    padding-right: 10%;
    padding-left: 10%;
    margin-bottom: 30vh;
}
/*---------------------------------------------------------------------------------------------------------------------------------------------------------*/
.on{
    animation-name:fadeUpAnime;
    animation-duration:0.5s;
    animation-fill-mode:forwards;
  
    }
    
    @keyframes fadeUpAnime{
      from {
        opacity: 0;
      transform: translateY(10px);
      }
    
      to {
        opacity: 1;
      transform: translateY(0);
      }
    }
/*---------------------------------------------------------------------------------------------------------------------------------------------------------*/
/* スクロールダウンの位置 */
.scroll {
    position: absolute;
    right: 10%;
    top: 65%;
    writing-mode: vertical-rl;
  }
  /* 線のアニメーション部分 */
  .scroll::before {
    animation: scroll 2s infinite;
    background-color: #000;
    bottom: -115px;
    content: "";
    height: 100px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    width: 1px;
    z-index: 2;
  }
  /* 線の背景色 */
  .scroll::after {
    background-color: #ccc;
    bottom: -115px;
    content: "";
    height: 100px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    width: 1px;
  }
  /* 線のアニメーション */
  @keyframes scroll {
    0% {
      transform: scale(1, 0);
      transform-origin: 0 0;
    }
    50% {
      transform: scale(1, 1);
      transform-origin: 0 0;
    }
    51% {
      transform: scale(1, 1);
      transform-origin: 0 100%;
    }
    100% {
      transform: scale(1, 0);
      transform-origin: 0 100%;
    }
  }


@media screen and (max-width: 480px) {
	/* 480px以下に適用されるCSS（スマホ用） */
    h2{
        font-size: 1.7rem;
        margin-bottom: 1vh;
    }
    p{
        font-size: 0.75rem;
        font-family: 'maco';
    }
    .ex{
        width: 90%;
        margin-top: 5vh;
        margin-left: 5%;
        text-align: left;
    }
    .deco{
        width: 40%;
    }
    .deco.left{
        margin-left: -10%;
    }
    .deco.right{
        margin-left: 70%;
        margin-top: -10%;
    }
    .deco.komugi{
        width: 30%;
        margin-left: 10%;
        margin-bottom: -7px;
    }
    ul.flex{
        display: flex;
        justify-content: center;
        flex-flow: column;
        list-style: none;
        padding: 0;
    }
    li{
        width: fit-content;
        margin: auto;
    }
    .sub{
        margin-top: -5vh;
    }
    .about,.contents,.movie{
        height: 50vh;
        position: sticky;
        top: 20vh;
        background-color: rgba(0,0,0,0.001);
        width: 90%;
        margin: 5%;
        z-index: 999;
        opacity: 0;
    }
    .movie{
        margin-top: 100vh;
    }
    .video{
        width: 100%;
    }
    footer{
        height: 60vh;
        background-color: #cca785;
        padding: 10%;
    }
    h4{
        margin-top: 4vh;
        margin-bottom: 5vh;
    }
    h2.title{
        border-bottom: #1f1103 solid 2px;
    }
    div.flex{
        display: flex;
        justify-content: end;
        margin-top: 25%;
    }
    .logo{
        width: 30%;
    }
    .frame-out{
        width: 100%;
        height: 100%;
        outline: solid 2px #5c5c5c;
        outline-offset: -15px;
        position: fixed;
        z-index: 100;
        background: rgba(0,0,0,0.001);
        box-sizing: border-box;
    }
    .frame-in{
        width: 100%;
        height: 100%;
        outline: dashed 1px #747474;
        outline-offset: -35px;
        position: fixed;
        z-index: 110;
        background: rgba(0,0,0,0.001);
        box-sizing: border-box;
    }
    /*--------------------------------------------------キャラクターページ*/
    div.kyara{
        text-align: center;
    }
    div.flex-kyara{
        display: flex;
        flex-direction: column-reverse;
        padding-right: 0%;
        padding-left: 0%;
        margin-bottom: 30vh;
        justify-content: center;
        text-align: center;
        align-items: center;
    }
    img.kyaraimg{
        width: 80%;
        height: 100%;
    }
    p.ex-kyara{
        margin-top: 10%;
        font-size: 0.75rem;
    }
    h2.name{
        margin-left: 0;
    }
    .arc{
        margin-bottom: 50vh;
    }
    img.storyimg{
        width: 100%;
    }
    div.right,div.left{
        text-align: left;
        margin-left: 10%;
        margin-bottom: 40vh;
    }
    .finish{
        width: 200px;
        height: auto;
        position: relative;
        z-index: 999;
    }

}

@media screen and (max-width: 959px) {
	/* 959px以下に適用されるCSS（タブレット用） */
}